* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
}

:root {
    --font-family: "Raleway", sans-serif;
    --second-family: "Montserrat", sans-serif;
    --third-family: "Inter", sans-serif;
    --font3: "Open Sans", sans-serif;
    --font4: "Roboto", sans-serif;
    --font5: "Onest", sans-serif;
    --font6: "SF Pro", sans-serif;
}


body {
    font-family: var(--font-family);
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

main.main {
    flex: 1 1 auto;
}

.container {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 40px;
}

a {
    text-decoration: none;
    color: inherit;
}

/* ==========================================================================
   СТАНДАРТНЫЕ КЛАССЫ ВЫРАВНИВАНИЯ WORDPRESS (Обязательны для любой темы)
   ========================================================================== */

/* 1. ВЫРАВНИВАНИЕ ПО ЦЕНТРУ */
.aligncenter,
img.aligncenter {
    display: block !important;
    clear: both;
    margin: 30px auto !important; /* Центрируем картинку на странице с помощью auto */
}

/* 2. ВЫРАВНИВАНИЕ ВЛЕВО (с обтеканием текстом) */
.alignleft,
img.alignleft {
    float: left;
    margin: 10px 24px 24px 0 !important; /* отступы справа и снизу, чтобы текст не лип */
}

/* 3. ВЫРАВНИВАНИЕ ВПРАВО (с обтеканием текстом) */
.alignright,
img.alignright {
    float: right;
    margin: 10px 0 24px 24px !important; /* отступы слева и снизу */
}

/* Сброс обтекания после выровненных картинок */
.clear {
    clear: both;
}



.header {
    position: fixed;
    top: 15px;
    left: 0;
    width: 100%;
    z-index: 999;
    background-color: transparent;
    padding: 10px 0;
}


.header-content {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    align-items: center;
}


.header-left {
    border-radius: 20px;
    padding: 4px 4px 4px 24px;
    background: #fff;
    
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    
}

.header-nav {
    /* display: flex; */
}

.header-list {
    display: flex;
    align-items: center;
    
    list-style: none;
}

.header-link {
    display: inline-block;
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 138%;
    color: #212121;
    padding: 18px 20px;
    border-radius: 16px;
    transition: .3s;
}

.header-link:hover {
    background: #f9e5bd;
}


.menu-toggle-btn {
    display: none;
    position: relative;
    
    align-items: center;
    gap: 8px;
    border: 1px solid #e0e3e5;
    border-radius: 16px;
    /* padding: 13px; */
    background: #fff;
    max-width: 50px;
    width: 100%;
    cursor: pointer;
}

.menu-toggle-btn span {
    
    font-weight: 400;
    font-size: 16px;
    line-height: 138%;
    color: #212121;
}

.burger-icon {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}


.dropdown-menu {
    position: absolute;
    top: 60px; 
    left: 0;
    width: auto;
    background: #ffffff;
    border-radius: 8px;
    padding: 30px 20px;
    box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.05);
    display: flex;
    flex-direction: column;
    gap: 24px;
    
    
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: all 0.3s ease;
}

.menu-icon .line {
    transition: d 0.3s ease, opacity 0.3s ease;
}


.menu-toggle-btn.is-active .line-top {
    d: path("M16 16 L32 32"); 
}

.menu-toggle-btn.is-active .line-mid {
    opacity: 0;
}

.menu-toggle-btn.is-active .line-bot {
    d: path("M16 32 L32 16"); 
}

.menu-toggle-mobile.is-active .line-top {
    d: path("M16 16 L32 32"); 
}

.menu-toggle-mobile.is-active .line-mid {
    opacity: 0;
}

.menu-toggle-mobile.is-active .line-bot {
    d: path("M16 32 L32 16"); 
}


.dropdown-menu.is-open {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.dropdown-nav {
    width: 260px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: start;
    text-align: left;
}

.dropdown-nav a {
    text-decoration: none;
    color: #000000;
    font-size: 16px;
    font-weight: 400;
    transition: opacity 0.2s;
}

.dropdown-nav a:hover {
    opacity: 0.7;
}


.btn-schools {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 48px;
    background-color: #f9e5bd;
    color: #000000;
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    border-radius: 6px;
    margin-top: 10px;
    transition: background-color 0.2s;
}

.btn-schools:hover {
    background-color: #f5d79e;
}


.header-right {
    
}

.btn-login {
    justify-content: center;
    background-color: #f9e5bd; 
    display: flex;
    align-items: center;
    border-radius: 22px;
    padding: 14px 12px 14px 24px;
    transition: background-color 0.2s;
    gap: 8px;
}

.btn-login:hover {
    background-color: #f5d79e;
}

.btn-login span {
    font-size: 16px;
    line-height: 138%;
    color: #605c5c;
}

.btn-login svg {
    width: 31px;
    height: 32px;
    flex-shrink: 0;
}

.btn-login.btn-login--mobile {
    display: none;
}

.login-icon {
    width: 20px;
    height: auto;
}

.menu-toggle-mobile {
    display: none;
}




.footer {
    color: #fff;
}

.footer .container {
    background: rgba(0, 145, 60, 1);
    border-radius: 60px 60px 0 0;
}


.footer-top {
    padding: 60px 0 20px;
    border-bottom: 0.5px solid rgba(255, 255, 255, 0.5);
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 25px;
}

.footer-logo {
    width: 342px;
    height: 72px;
}

.footer-logo a {
    width: 100%;
    height: 100%;
    display: block;
}

.footer-logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.footer-top-main {
   display: flex;
   flex-direction: column;
}


.footer-menu {
    display: grid;
    grid-template-columns: 2fr 2fr 0.5fr;
    gap: 40px;
}

.footer-col {
    display: flex;
    flex-direction: column;
    gap: 65px;
}

.footer-prev {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-col a {
    color: #fff;
    text-decoration: none;
    font-size: 16px;
    line-height: 138%;
    transition: .3s;
}


.footer-col a:hover {
    opacity: 0.8;
}

.footer-address {
    margin-top: auto;
    max-width: 400px;
    font-size: 16px;
}

.footer-links {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: auto;
}

.footer-links span {
    font-weight: 600;
    font-size: 20px;
    line-height: 140%;
    color: #fff;
}

.footer-col--last {
    height: 100%;
}

.footer-col--last a {
    margin-left: auto;
    min-width: 86px;
}

.footer-socials {
    display: flex;
    gap: 6px;
    margin-top: auto;
}

.footer-col--last .footer-socials a {
    width: 40px;
    height: 40px;
    flex-shrink: 0;
    min-width: auto;
}

.footer-socials a svg {
    width: 100%;
    height: 100%;
}

.footer-socials a img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain; 
}

.footer-socials a {
    transition: .3s;
}

.footer-socials a:hover {
    opacity: 0.7;
}



/* BOTTOM */
.footer-bottom {
    padding: 12px 0 25px;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    align-items: start;
    white-space: nowrap;
}

.footer-bottom-left p {
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    color: #fff;
    margin: 0;
}

.footer-bottom-left p:first-child {
    margin-bottom: 7px;
}

.footer-bottom-center {
    align-self: end;
    width: 60%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 30px;
}

.footer-bottom-center a {
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    color: #fff;
}

.footer-bottom-right {
    display: flex;
    flex-direction: column;
    gap: 7px;
    align-self: end;
}

.footer-bottom-right p {
    font-family: var(--second-family);
    font-size: 14px;
    line-height: 120%;
    color: #fff; 
}

.footer-bottom-hiden {
    display: none;
}

.footer-socials--mobile {
    display: none;
}

.footer-bottom-mobile {
    display: none;
}

.footer-links--mobile {
    display: none;
}

.footer-top-mobile {
    display: none;
}


.hero {
    background: rgba(250, 245, 235, 1);
    overflow: hidden;
    padding: 80px 0;
    position: relative;
}



.hero-bg1 {
    position: absolute;
    bottom: 32px;
    right: -200px;
    width: 100%;
    height: 100%;
}

.hero-bg1 svg {
    width: 100%;
    height: 100%;
}

.hero-bg2 {
    position: absolute;
    width: 1070px;
    bottom: -48px;
    left: -260px;
    height: 355px;
}

.hero-bg2 svg {
    width: 100%;
    height: 100%;
}

.hero-wrapper {
    display: flex;
    align-items: center;
    gap: 56px;
    position: relative;
    z-index: 1;
}

.hero-title {
    font-family: Raleway;
    font-weight: 600;
    font-size: 80px;
    line-height: 90%;
    color: #212121;
    margin: 0 0 75px;
}


.hero-logos p {
    font-weight: 400;
    font-size: 16px;
    line-height: 138%;
    color: rgba(33, 33, 33, 0.5);
    margin: 0 0 20px;
}

.hero-left {
    flex-shrink: 3;
}

.hero-list {
    display: flex;
    gap: 27px;
    flex-wrap: wrap;
    margin-bottom: 60px;
}

.hero-item {
    height: 34px;
}

.hero-item img {
    display: block;
    width: auto;
    height: 100%;
    object-fit: contain;
}

.hero-right {
    margin-right: 140px;
    margin-left: auto;
    width: 372px;
    height: 418px;
    flex-shrink: 1;
}

.hero-right img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}




.blog-archive {
    border-radius: 60px 60px 0 0;
    overflow: hidden;
    background-color: #ffffff;
    margin-top: -80px; 
    position: relative;
    z-index: 2; 
    padding: 45px 0 50px;
}

.blog-top {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    align-items: center;
    margin-bottom: 50px;
    flex-wrap: wrap;
}

.blog-filters {
    display: flex;
    gap: 8px;
}

.blog-filters a {
    border-radius: 20px;
    padding: 15px 21px 15px 14px;
    width: auto;
    display: flex;
    align-items: center;
    gap: 6px;
    background: #faf5eb;
    font-weight: 600;
    font-size: 16px;
    line-height: 138%;
    text-align: center;
    color: #667085;
    transition: .3s;
}

.blog-filters a svg {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}

.blog-filters a:hover {
    background: #f5d79e;
}

.blog-filters a.active {
    background: #f9e5bd;
    color: #212121;
}

.blog-filters a.active svg path {
    stroke: #212121;
}

.blog-search {
    display: flex;
    gap: 10px;
    max-width: 506px;
    width: 100%;
}

.blog-search input {
    border: 1px solid #e0e3e5;
    border-radius: 22px;
    padding: 15px 50px 15px 50px;
    width: 100%;
    background: #fff;
    font-size: 18px;
    line-height: 133%;
    color: black;
}

.blog-search input::placeholder {
    font-size: 18px;
    line-height: 133%;
    color: #c1c1c1;
}

.search-input-wrapper {
    position: relative;
    display: inline-block; 
    width: 100%;
}

.search-input-wrapper svg {
    position: absolute;
    left: 18px;
    top: 50%;
    transform: translateY(-50%); 
    display: flex;
    align-items: center;
}

.search-clear-btn {
    position: absolute;
    right: 40px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    padding: 6px;
    cursor: pointer;
    display: none; /* По умолчанию скрыта */
    align-items: center;
    justify-content: center;
    transition: opacity 0.2s ease;
    z-index: 2;
}

.search-clear-btn:hover svg path {
    stroke: #344054; 
}

.blog-search-btn {
    border: none;
    width: auto;
    border-radius: 20px;
    padding: 12px 24px;
    background: #212121;
    font-weight: 400;
    font-size: 16px;
    line-height: 138%;
    color: #fff;
    cursor: pointer;
    transition: .3s;
}

.blog-search-btn:hover {
    opacity: 0.8;
}

.blog-title-all {
    font-weight: 600;
    font-size: 28px;
    line-height: 114%;
    color: #1a1a1a;
    margin: 0 0 32px;
}



.blog-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 48px 32px;
    border-bottom: 1px solid #eaecf0;
    padding-bottom: 30px;
    margin-bottom: 30px;
}

.blog-card {
    display: flex;
    flex-direction: column;
}

.blog-card-img {
    border-radius: 20px;
    overflow: hidden;
    max-width: 100%;
    height: auto;
    aspect-ratio: 424/240;
    margin-bottom: 20px;
}

.blog-card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-type {
    display: flex;
    gap: 2px;
    align-items: center;
    width: fit-content;
    font-weight: 500;
    font-size: 14px;
    line-height: 143%;
    text-align: center;
    padding: 2px 10px 2px 4px;
    border-radius: 7px;
    margin-bottom: 16px;
}

.blog-type-cases {
    background: #f0fff1;
    color: #00af4b;
}

.blog-type-news {
    background: #f0f9ff;
    color: #0a64a5;
}

.blog-type-articles {
    background: #fff0f3;
    color: #dc7391;
}


.blog-title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-weight: 600;
    font-size: 24px;
    line-height: 117%;
    color: #1a1a1a;
    margin: 0 0 15px;
    transition: .3s;
}

.blog-title:hover {
    color: #f5d79e;
}


.meta {
    display: flex;
    justify-content: space-between; 
    align-items: center;
    width: 100%;
    margin-top: auto; 
    font-size: 14px;
    color: #b7b2b2;
}


.meta-right {
    display: flex;
    align-items: center;
    gap: 13px; 
}


.meta-item {
    display: inline-flex;
    align-items: center;
    gap: 4px; 
}

.meta-item svg {
    flex-shrink: 0;
    width: 24px;
    height: 24px;
    /* color: currentColor;  */
}


.load-more-blog {
    max-width: 330px;
    width: 100%;
    border: none;
    display: flex;
    justify-content: center;
    background-color: #f9e5bd;
    align-items: center;
    border-radius: 22px;
    padding: 15px;
    font-size: 18px;
    font-weight: 600;
    line-height: 138%;
    color: #1a1a1a;
    margin: 0 auto;
    cursor: pointer;
    transition: background-color 0.2s;
}

.load-more-blog:hover {
    background: #f5d79e;
}



.intro {
    background: rgba(250, 245, 235, 1);
    overflow: hidden;
    padding: 120px 0 80px;
    position: relative;
}

.intro .hero-bg1 {
    position: absolute;
    bottom: -60px;
    right: -175px;
    width: 100%;
    height: 120%;
}

.intro .hero-bg1 svg {
    width: 100%;
    height: 100%;
}

.intro .hero-bg2 {
    position: absolute;
    width: 1070px;
    bottom: -120px;
    left: -310px;
    height: 355px;
}

.intro .hero-bg2 svg {
    width: 100%;
    height: 100%;
}

.intro-image {
    position: relative;
    width: 50%;
    max-width: 100%;
    height: auto;
    aspect-ratio: 530/305;
    display: flex;
    justify-content: center;
    margin: 0 auto;
}

.intro-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.single-news {
    border-radius: 60px 60px 0 0;
    background-color: #ffffff;
    margin-top: -80px; 
    position: relative;
    z-index: 2; 
    padding: 30px 0;
    overflow: hidden;
}

.single-box {
    max-width: 1000px;
    width: 100%;
    margin: 0 auto;
}

.single-blog-img {
    max-width: 100%;
    height: auto;
    aspect-ratio: 1000/560;
    object-fit: cover;
    width: 100%;
    border-radius: 20px;
    overflow: hidden;
    
}

.single-blog-figure {
    margin: 48px 0;
}

.single-blog-nav {
    display: flex;
    justify-content: space-between;
    gap: 25px;
    margin-bottom: 37px;
}

.single-blog-back, .single-blog-next {
    display: flex;
    align-items: center;
    gap: 8px;
    font-family: var(--second-family); 
    font-weight: 500;
    font-size: 14px;
    line-height: 143%;
    color: #667085; 
    transition: .3s;
}

.single-blog-back:hover, .single-blog-next:hover {
    opacity: 0.7;
}

.single-blog-back svg, .single-blog-next svg {
    width: 20px;
    height: 20px;
    flex-shrink: 0;
}

.single-blog-title {
    font-weight: 600;
    font-size: 48px;
    line-height: 117%;
    color: #212121;
    margin: 0 0 32px;
}

.single-blog-meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 25px;
    margin: 0 0 32px;
}

.single-news .blog-type {
    margin: 0;
}

.single-news .meta-item span {
    font-family: var(--second-family);
    font-weight: 500;
    font-size: 14px;
    line-height: 143%;
    text-align: center;
    color: #b7b2b2;
}

.single-blog-intro {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 24px;
    line-height: 125%;
    color: #212121;
    margin: 0;
}

.single-blog-caption {
    font-size: 16px;
    line-height: 138%;
    color: #928a8a;
    margin: 20px 0 0;
}

.single-blog-section {
    margin-bottom: 48px;
}

.single-blog-section-title {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 24px;
    line-height: 117%;
    color: #212121;
    margin: 0 0 30px;
}

.single-blog-content {
    border-bottom: 1px solid #eaecf0;
    margin-bottom: 30px;
    padding-bottom: 30px;
}

.single-blog-content p {
    margin-bottom: 20px;
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    color: #212121;
}

.single-blog-quote {
    position: relative;
    border-radius: 20px;
    padding: 30px 80px;
    margin: 30px 0;
    background: #faf5eb;
    overflow: hidden;
}

.single-blog-quote::before {
    content: "\201C"; 
    position: absolute;
    left: 30px;
    top: 70px;
    font-size: 120px;
    line-height: 20%;
    color: #928a8a;
  }
  
  
  .single-blog-quote::after {
    content: "\201D"; 
    position: absolute;
    right: 30px;
    bottom: 0px; 
    font-size: 120px;
    line-height: 20%;
    color: #928a8a;
  }

.single-blog-quote p {
    font-family: var(--second-family);
    font-style: italic;
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    color: #212121;
    margin: 0 0 20px;
}


/* --- ГАЛЕРЕЯ-СЛАЙДЕР CSS GRID --- */
.single-blog-gallery {
    width: 100%;
    margin: 48px 0;
}

.single-blog-caption {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 138%;
    color: #928a8a;
}

.single-blog-gallery-slider {
    margin-top: 48px;
    margin-bottom: 48px;
}

.single-blog-gallery-slider .swiper-wrapper {
    gap: 20px;
    height: auto;
}

.single-blog-gallery-slider .swiper-slide img {
    border-radius: 20px;
    overflow: hidden;
}

/* ДЕСКТОПНАЯ СЕТКА (накладываем координаты) */
@media (min-width: 481px) {
    /* .single-blog-gallery-slider {
        overflow: visible !important;
    } */
    
    .single-blog-gallery-slider .swiper-wrapper {
        display: grid !important;
        grid-template-columns: 1fr 1fr; 
        
        
    }

    /* .single-blog-gallery-slider .swiper-slide {
        width: 100% !important;
        height: 100% !important;
    } */

    .single-blog-gallery-slider .swiper-slide:nth-child(1) {
        grid-column: 1 / 2;
        grid-row: 1 / 3;
        width: 100%;
        max-width: 100%;
        height: 100%;
        aspect-ratio: 490/571;
        overflow: hidden;
    }

    
    .single-blog-gallery-slider .swiper-slide:nth-child(2) {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
        width: 100%;
        max-width: 100%;
        height: 100%;
        aspect-ratio: 490/275;
        overflow: hidden;
    }

    .single-blog-gallery-slider .swiper-slide:nth-child(3) {
        grid-column: 2 / 3;
        grid-row: 2 / 3;
        width: 100%;
        max-width: 100%;
        height: 100%;
        aspect-ratio: 490/275;
        overflow: hidden;
    }

    .gallery-img-large {
       
        object-fit: cover;
    }

    .gallery-img-small {
       
        object-fit: cover;
    }

    
}


.wp-block-image.size-full.swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.single-blog-conclusion-title {
    font-weight: 600;
    font-size: 24px;
    line-height: 117%;
    color: #212121;
    margin: 0 0 30px;
}

.single-blog-conclusion-text {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin: 35px 0;
}


.single-blog-conclusion-text li {
    position: relative;
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 18px !important;
    line-height: 144%;
    color: #212121;
    background: #faf5eb;
    border-radius: 20px;
    padding: 30px 30px 30px 58px;
}

.single-blog-conclusion-text li::marker {
    display: none;
    font-size: 0;
}

.single-blog-conclusion-text li::before {
    content: '—';
    position: absolute;
    flex-shrink: 0;
    top: 30px;
    left: 30px;
}

.single-blog-intro {
    margin-bottom: 30px;
}

.single-blog-quote-box {
    margin: 40px 0;
}

.single-blog-quote-desc {
    margin: 30px 0 0;
}

.single-blog-conclusion-text li:last-child {
    margin-bottom: 0;
}

.recommended-slider {
    display: flex;
}

.recommended-slider .swiper-wrapper {
    gap: 30px;
    height: auto;
}

.recommended-slider .swiper-slide {
    display: flex;

}


.recommended-slider .swiper-slide {
    width: 100% !important;
}

.recommended-slider .blog-card {
    width: 100%;
}

.recommended-slider .blog-card-img {
    width: 100%;
}

/* Десктопная версия (от 768px и выше) */
@media (min-width: 768px) {
    .recommended-slider.swiper {
        display: flex;
        overflow: visible; 
    }

    .recommended-slider .swiper-wrapper {
        display: grid !important;
        grid-template-columns: repeat(3, 1fr) !important;
        transform: none !important; /* Отключаем сдвиг Swiper */
        width: 100% !important;
    }
  
}


.single-news-bottom .single-blog-nav {
    margin-bottom: 10px;
}

.recommended-wrapper {
    max-width: 1000px;
    width: 100%;
    margin: 0 auto;
    padding: 0 0 30px; 
}

.recommended-title {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 28px;
    line-height: 114%;
    color: #1a1a1a;
    margin: 0 0 32px;
}

.meta--mobile {
    display: none;
}

.blog-type--mobile {
    display: none;
}


.single-blog-content iframe {
    max-width: 100%;
    height: auto;
    aspect-ratio: 16 / 9; 
    width: 100%;
    margin: 25px 0;
}


.single-blog-last {
    background: #faf5eb;
    padding: 30px 40px;
    border-radius: 20px;
    gap: 0;
}

.single-blog-last p:last-child {
    margin-bottom: 0;
}

.single-blog-content a {
    color: rgb(255, 170, 0);
    text-decoration: underline;
    transition: .3s;
}

.single-blog-content a:hover {
    opacity: 0.7;
}

@media screen and (max-width: 1350px) {
    .hero-wrapper {
        gap: 10px;
    }

    .header-link {
        padding: 18px 13px;
    }

    .hero-right {
        margin: 0;
    }
}

@media screen and (max-width: 990px) {
    .container {
        padding: 0 24px;
    }

    .header-nav {
        display: none;
    }

    .header-list {
        flex-direction: column;
        align-items: start;
        gap: 34px;
    }

    .dropdown-menu {
        border: 1px solid #faf5eb;
        border-radius: 20px;
        padding: 20px 20px 30px;
        box-shadow: 0 0 20px 0 rgba(225, 202, 158, 0.26);
        background: #fff;
    }

    .header-link {
        padding: 0;
    }

    .menu-toggle-btn {
        display: flex;
    }

    .btn-login {
        padding: 12px 12px 12px 24px;
    }

    .hero-right {
        width: 370px;
        height: 429px;
        flex-shrink: 1;
    }

    .hero-title {
        margin-bottom: 44px;
    }

    .blog-grid {
        gap: 48px 15px;
    }

    .blog-title {
        font-size: 18px;
    }

    .blog-top {
        flex-direction: column-reverse;
        align-items: start;
    }

    .blog-search {
        width: 100%;
        max-width: 100%;
    }

    .footer-socials {
        display: none;
    }

    .footer-socials--mobile {
        display: flex;
        margin-top: auto;
        margin-bottom: 20px;
    }

    .footer-logo {
        width: 230px;
        height: 48px;
    }

    .footer-address {
        margin-top: 0;
        font-size: 13px;
    }

    .footer-bottom-left p:nth-child(2) {
        display: none;
    }

    .footer-bottom-hiden {
        display: block;
    }

    .footer-bottom-center {
        width: 100%;
    }

    .footer-menu {
        gap: 16px;
    }

    .footer-links--hidden {
        display: none;
    }

    .footer-links--mobile {
        display: flex;
    }

    .intro-image {
        width: 80%;
    }

    .recommended-slider .swiper-wrapper {
        gap: 16px;
    }

    .single-blog-gallery-slider .swiper-wrapper {
        gap: 16px;
    }
}

@media screen and (max-width: 810px) {
    .footer-bottom {
        display: none;
    }

    .footer-bottom-mobile {
        display: flex;
        flex-direction: column;
        padding: 20px 0;
        gap: 20px;
    }

    .footer-address.footer-address--mobile {
        display: block;
        /* max-width: 235px; */
        margin-bottom: 15px;
        font-size: 16px;
    }

    .footer-address {
        display: none;
    }

    .footer-bottom-center {
        gap: 10px 30px;
    }

    .footer-bottom-mobile-center {
        display: flex;
        justify-content: space-between;
        margin-bottom: 15px;
    }

    .footer-bottom-mobile-left {
        display: flex;
        flex-direction: column;
        gap: 7px;
    }
}

@media screen and (max-width: 768px) {
    .container {
        padding: 0 12px;
    }

    .hero {
        padding: 130px 0 80px;
    }

    .blog {
        border-radius: 32px 32px 0 0;
    }

    .blog-top {
        margin-bottom: 30px;
    }

    .blog-grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .intro .hero-bg1 {
        width: 120%;
        height: 120%;
    }

    .recommended-slider {
        margin-right: -12px !important;
        padding-right: 12px !important;
    }

    .recommended-slider .swiper-wrapper {
        gap: 0px;
    }

    .recommended-slider .swiper-slide {
        max-width: 312px;
        width: 100%;
    }

    .single-blog-title {
        font-size: 28px;
        line-height: 114%;
    }

    .single-blog-intro {
        font-size: 22px;
        line-height: 136%;
    }

    .single-blog-img {
        aspect-ratio: 720/404;
    }

    .gallery-img-large {
        aspect-ratio: 350/413;
    }

    .gallery-img-small {
        aspect-ratio: 350/196;
    }
}

@media screen and (max-width: 740px) {
    .hero-wrapper {
        flex-direction: column;
        gap: 25px;
    }

    .hero-list {
        justify-content: center;
    }

    .hero-bg1 {
        display: none;
    }

    .hero-bg2 {
        bottom: 0px;
        left: 0px;
    }

    .hero-title {
        text-align: center;
        font-size: 60px;
        margin: 0 0 40px;
    }

    .hero-logos p {
        text-align: center;
    }

    .intro .hero-bg1 {
        display: block;
    }
}

@media screen and (max-width: 700px) {
    .footer-top {
        display: none;
    }

    .footer-top-mobile {
        display: flex;
        flex-direction: column;
        padding: 30px 0;
        border-bottom: 0.50px solid rgba(255, 255, 255, 0.5);
    }

    .footer-socials--three {
        display: grid;
        grid-template-columns: 40px 40px;
        margin: 0;
    }

    .footer-logo {
        width: 300px;
        height: 64px;
        margin-bottom: 40px;
    }

    .footer-menu {
        margin-bottom: 45px;
    }

    .footer-soc-links {
        display: grid;
        grid-template-columns: 1.9fr 2fr 0.5fr;
        align-items: start;
    }

    .footer-soc-links a {
        width: 40px;
        height: 40px;
    }

    .footer-poder {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .footer-links {
        gap: 6px;
    }

    .footer-links a {
        width: auto;
        height: auto;
    }

    .footer-links span {
        font-size: 16px;
    }
}

@media screen and (max-width: 590px) {

    .btn-login {
        display: none;
    }


    .btn-login.btn-login--mobile {
        display: flex;
        padding: 12px;
    }

    .header-left {
        padding: 12px;
    }

    .menu-toggle-btn {
        display: none;
    }

    .blog-grid {
        grid-template-columns: 1fr;
    }

    .menu-toggle-mobile {
        display: block;
        border: none;
        background: none; 
        width: 53px;
        height: 56px;
    }

    .menu-toggle-mobile svg {
        width: 100%;
        height: 100%;
    }

    .header-right {
        display: flex;
        gap: 4px;
    }

    .dropdown-menu {
        top: 70px;
        right: 12px;
        left: auto;
    }

    .footer-menu {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 20px;
    }

    .footer-soc-links {
        grid-template-columns: 1fr 2fr;
        gap: 20px;
    }
}

@media screen and (max-width: 480px) {
    .hero {
        padding: 126px 0;
    }

    .hero-logos {
        display: none;
    }

    .hero-right {
        display: none;
    }

    .hero-title {
        font-size: 50px;
        margin: 0 0 0px;
    }

    .hero-bg2 {
        position: absolute;
        width: 1000px;
        bottom: 0px;
        left: -215px;
        height: 235px;
    }



    .blog {
        margin-top: -60px;
        padding: 25px 0 40px;
    }

    .blog-search {
        display: none;
    }
    
    .blog-top {
        display: block !important;
        width: 100%;
    }

    
    .blog-scroll {
        display: block;
        width: auto !important;
        overflow-x: auto;
        scroll-behavior: smooth;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none; 
        margin-right: -12px !important;
        margin-left: -12px !important;
        padding-right: 12px !important;
        padding-left: 12px !important;
    }

    .blog-scroll::-webkit-scrollbar {
        display: none; 
    }

    .blog-filters {
        display: flex !important;
        flex-wrap: nowrap !important;
        gap: 8px;
        width: max-content;
    }

    .blog-filters a {
        flex-shrink: 0 !important;
        white-space: nowrap !important;
        display: inline-flex !important;
        align-items: center;
    }

    .footer-soc-links {
        display: flex;
        flex-direction: column-reverse;
    }

    .footer-poder {
        flex-direction: row;
        justify-content: space-between;
        width: 100%;
        gap: 20px;
        flex-wrap: wrap;
    }

    .footer-socials--three {
        display: flex;
    }

    .footer {
        border-radius: 30px 30px 0 0;
    }

    .intro {
        padding-top: 85px;
    }

    
    .intro-image {
        width: 100%;
    }

    .single-news {
        border-radius: 30px 30px 0 0;
    }

    .single-blog-title {
        font-size: 24px;
    }

    .single-blog-intro {
        font-size: 20px;
        line-height: 130%;
    }

    .single-blog-caption {
        font-size: 14px;
        line-height: 143%;
    }

    .single-blog-content p {
        font-size: 16px;
        line-height: 150%;
    }

    .single-blog-quote {
        padding: 80px 42px; 
    }


    .single-blog-gallery-slider {
        /* overflow-x: auto !important;  */
        margin-right: -12px !important;
        padding-right: 12px !important;
        
    }

    .single-blog-gallery-slider .swiper-wrapper {
        gap: 0px;
       
    }

    
    .single-blog-gallery-slider .swiper-slide {
       border-radius: 20px;
       overflow: hidden;
       max-width: 245px;
       width: 100%;
       height: 290px;
    }

    
    .gallery-img-large,
    .gallery-img-small {
        aspect-ratio: 245/290;
        object-fit: cover;
        width: 100%;
    }

    .recommended-title {
        font-size: 24px;
    }
}


@media screen and (max-width: 390px) {
    .hero-bg2 {
        left: -300px;
    }

    .header-content {
        gap: 12px;
    }

    .header-left {
        padding: 12px 8px;
    }

    .btn-login.btn-login--mobile {
        padding: 8px;
    }

    .btn-login span {
        font-size: 14px;
    }

    .btn-login svg {
        width: 28px;
        height: 29px;
    }

    .blog-type--mobile {
        display: flex;
        margin-bottom: 20px !important;
    }

    .single-blog-meta {
        display: none;
    }

    .meta--mobile {
        display: flex;
        margin-bottom: 32px;
    }

    .single-blog-quote {
        padding: 80px 30px;
    }

    .footer-menu {
        grid-template-columns: 1fr;
    }
}

.header-logo {
    display: inline-block; 
    height: 32px;          
    max-width: 132px;      
}

.header-logo img {
    display: block;
    height: 100%;          
    width: auto;          
    max-width: 100%;       
    object-fit: contain;   
}

/* Статьи через Gutenberg */
.single-blog-content img {
    border-radius: 20px !important;
    overflow: hidden !important;
}

.single-blog-content .blog-lead.wp-block-paragraph {
    font-family: var(--second-family);
    font-weight: 400 !important;
    font-size: 24px !important;
    line-height: 125% !important;
    color: #212121 !important;
    margin: 0 0 48px !important;
}

.single-blog-figure {
    margin: 48px 0;
    max-width: 100%;
}

.single-blog-figure img {
    /* width: 100% !important;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    display: block; */
    width: 100% !important;
    height: auto !important;
    display: block;
}

.single-blog-figure .wp-element-caption {
    font-family: var(--font-family);
    font-weight: 400 !important;
    font-size: 16px !important;
    line-height: 138% !important;
    color: #928a8a !important;
    margin-bottom: 30px !important;
    display: block !important;
}


.single-blog-content h2 {
    font-family: var(--font-family);
    font-weight: 600 !important;
    font-size: 24px !important;
    line-height: 117% !important;
    color: #212121 !important;
    margin: 30px 0;
}

.single-blog-content h3 {
    font-family: var(--font-family);
    font-weight: 600 !important;
    font-size: 21px !important;
    line-height: 117% !important;
    color: #212121 !important;
    margin: 30px 0;
}


.single-blog-content .wp-block-paragraph {
    font-family: var(--second-family);
    font-weight: 400 !important;
    font-size: 18px !important;
    line-height: 144% !important;
    color: #212121;
}

.single-link {
    color: blue;
}